%global tarname  igt-gpu-tools

Name:           intel-gpu-tools
Version:        1.25
Release:        %mkrel 2
Summary:        Tools for debugging the Intel graphics driver
Group:          System/Kernel and hardware
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{tarname}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(dri2proto)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libkmod)
BuildRequires:  pkgconfig(libprocps)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmlrpc)
BuildRequires:  pkgconfig(xorg-macros)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(valgrind)
BuildRequires:  python3-docutils
BuildRequires:  python3

ExclusiveArch:  %ix86 x86_64

%description
Intel GPU Tools is a package of tools for debugging the Intel graphics
driver, including a GPU hang dumping program, performance monitor, and
performance microbenchmarks for regression testing the DRM.

%package devel
Summary:   Xorg X11 Intel video driver development package
Group:     Development/C
Requires:  %{name} = %{version}-%{release}
Provides:  xorg-x11-drv-intel-devel = %{version}-%{release}

%description devel
X.Org X11 Intel video driver development package.

%prep
%autosetup -p1 -n %{tarname}-%{version}

%build
# TODO build_overlay need a leg binary
%meson -Doverlay=disabled -Doping=disabled
%meson_build

%install
%meson_install

%files devel
%{_libdir}/pkgconfig/intel-gen4asm.pc
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/i915-perf.pc
%{_includedir}/i915-perf


%files
%doc NEWS README.md
%{_bindir}/amd_*
%{_bindir}/igt_*
%{_bindir}/i915-perf*
%{_bindir}/intel*
%{_bindir}/dpcd_reg
%{_bindir}/lsgpu
%{_datadir}/%{tarname}/
%{_datadir}/gtk-doc/html/igt-gpu-tools/
%{_libdir}/lib*.so.0
%{_libexecdir}/%{tarname}/
%{_mandir}/man1/intel*.1*


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.25-2.mga8
+ Revision: 1650728
- rebuild for json-c
+ danf <danf>
- Switch URLs from http: to https:

* Sat Mar 21 2020 tv <tv> 1.25-1.mga8
+ Revision: 1558717
- 1.25

* Wed Feb 19 2020 umeabot <umeabot> 1.24-3.mga8
+ Revision: 1544377
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 1.24-2.mga8
+ Revision: 1482900
- rebuild for new procps-ng 3.3.16

* Mon Dec 02 2019 zezinho <zezinho> 1.24-1.mga8
+ Revision: 1464083
- new version 1.24

* Mon Jan 21 2019 luigiwalser <luigiwalser> 1.23-3.mga7
+ Revision: 1358529
- add patches from opensuse to hopefully fix build
+ daviddavid <daviddavid>
- rebuild for new procps 3.3.15

* Sun Sep 23 2018 umeabot <umeabot> 1.23-2.mga7
+ Revision: 1298303
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 tv <tv> 1.23-1.mga7
+ Revision: 1251479
- BR pkgconfig(libssl)
- new release
- upstream is now named igt-gpu-tools

* Wed Apr 04 2018 tv <tv> 1.22-2.mga7
+ Revision: 1215235
- split devel subpkg

* Mon Mar 12 2018 tv <tv> 1.22-1.mga7
+ Revision: 1208301
- new release
- add patches from FC

* Mon Feb 19 2018 tv <tv> 1.21-1.mga7
+ Revision: 1203290
- fix build
- new release
- new release

* Sat Jun 10 2017 akien <akien> 1.19-1.mga6
+ Revision: 1107522
- Version 1.19

* Mon Mar 13 2017 akien <akien> 1.18-1.mga6
+ Revision: 1092364
- Version 1.18

* Mon Dec 05 2016 akien <akien> 1.17-1.mga6
+ Revision: 1072625
- Version 1.17
+ ghibo <ghibo>
- Added glibc-static-devel to BuildRequires.

* Thu Nov 03 2016 akien <akien> 1.16-3.mga6
+ Revision: 1065042
- Add upstream patch to fix ix86 build

* Thu Nov 03 2016 akien <akien> 1.16-2.mga6
+ Revision: 1065036
- Do not build on arm, there seems to be no drm_intel there
- Disable building the test suite, we do not run it (driver tests, not the built tools)
- Workaround i586 build misconfiguration, needs to be looked into
- imported package intel-gpu-tools
+ ghibo <ghibo>
- Added gtk-doc devel to BuildRequires.

